---
title: LockedFile.readAsArrayBuffer()
slug: Web/API/LockedFile/readAsArrayBuffer
tags:
  - API
  - Files
  - Method
  - Non Standard
  - Reference
  - WebAPI
---
<p>{{APIRef("File System API")}}{{non-standard_header}}</p>

<h2 id="Summary">Summary</h2>

<p>The <code>readAsArrayBuffer</code> method is used to read the content of the {{domxref("LockedFile")}} object and provide the result of that reading as an {{domxref("ArrayBuffer")}}. In many ways, it performs like the {{domxref("FileReader.readAsArrayBuffer()")}} method.</p>

<p>The reading operation starts at the position given by the {{domxref("LockedFile.location")}} property.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var request = <em>instanceOfLockedFile</em>.readAsArrayBuffer(size);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>size</code></dt>
 <dd>A number representing the number of bytes to read in the file.</dd>
</dl>

<h3 id="Return">Return</h3>

<p>A {{domxref("FileRequest")}} object to handle the success or failure of the operation. In case of success, the request's <code>result</code> is an {{domxref("ArrayBuffer")}} representing the data that have been read.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('FileSystem')}}</td>
   <td>{{Spec2('FileSystem')}}</td>
   <td>Draft proposal</td>
  </tr>
 </tbody>
</table>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("LockedFile")}}</li>
</ul>
